<?php

use src\classes\UserSettings;

function loadRiddleMenu() 
{
    $connected = UserSettings::isConnected();

    if ($connected) {
        connectedRiddleMenu();
    } else {
        disconnectedRiddleMenu();
    }

    \add_submenu_page(
        'riddle-admin-menu', 
        'Help', 
        'Help', 
        'manage_options', 
        'riddle-help', 
        'src\controller\RiddleAdminController::riddleHelp'
    );
}

function connectedRiddleMenu()
{
    \add_menu_page(
        'Riddle Plugin', // page title
        'Riddle Plugin', // menu title
        'manage_options', // Who has access?
        'riddle-admin-menu', // unique name for this top level menu
        'src\controller\RiddleAdminController::riddleList', // Method (Controller!)
        RIDDLE_IMAGE_PATH . '/riddle-wp-icon-16x16.png'
    );
    \add_submenu_page(
        'riddle-admin-menu', 
        'My riddles', 
        'My riddles', 
        'manage_options', 
        'riddle-admin-menu', 
        'src\controller\RiddleAdminController::riddleList'
    );
}

function disconnectedRiddleMenu()
{
    \add_menu_page(
        'Riddle Plugin', // page title
        'Riddle Plugin', // menu title
        'manage_options', // Who has access?
        'riddle-admin-menu', // unique name for this top level menu
        'src\controller\RiddleAdminController::riddleUserSettings', // Method (Controller!)
        RIDDLE_IMAGE_PATH . '/riddle-wp-icon-16x16.png'
    );
    \add_submenu_page(
        'riddle-admin-menu', 
        'Connect account', 
        'Connect account', 
        'manage_options', 
        'riddle-admin-menu', 
        'src\controller\RiddleAdminController::riddleUserSettings'
    );
}